source: squid-ssl/trunk/fuentes/tools/purge/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 22 months ago

Initial release

File size: 40.9 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92TESTS =
93@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
94@ENABLE_WIN32SPECIFIC_FALSE@bin_PROGRAMS = purge$(EXEEXT)
95subdir = tools/purge
96ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
97am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
98        $(top_srcdir)/acinclude/init.m4 \
99        $(top_srcdir)/acinclude/squid-util.m4 \
100        $(top_srcdir)/acinclude/compiler-flags.m4 \
101        $(top_srcdir)/acinclude/os-deps.m4 \
102        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
103        $(top_srcdir)/acinclude/pkg.m4 \
104        $(top_srcdir)/acinclude/lib-checks.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
107        $(top_srcdir)/helpers/basic_auth/modules.m4 \
108        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/modules.m4 \
123        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/modules.m4 \
135        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
136        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
137        $(top_srcdir)/helpers/external_acl/modules.m4 \
138        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
142        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
143        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
146        $(top_srcdir)/helpers/external_acl/session/required.m4 \
147        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
148        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
149        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
150        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
154        $(top_srcdir)/configure.ac
155am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
156        $(ACLOCAL_M4)
157DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
158mkinstalldirs = $(install_sh) -d
159CONFIG_HEADER = $(top_builddir)/include/autoconf.h
160CONFIG_CLEAN_FILES =
161CONFIG_CLEAN_VPATH_FILES =
162am__installdirs = "$(DESTDIR)$(bindir)"
163PROGRAMS = $(bin_PROGRAMS)
164am_purge_OBJECTS = convert.$(OBJEXT) socket.$(OBJEXT) signal.$(OBJEXT) \
165        squid-tlv.$(OBJEXT) copyout.$(OBJEXT) conffile.$(OBJEXT) \
166        purge.$(OBJEXT)
167purge_OBJECTS = $(am_purge_OBJECTS)
168@ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
169am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
170        $(am__DEPENDENCIES_1)
171am__DEPENDENCIES_3 =
172purge_DEPENDENCIES = $(am__DEPENDENCIES_2) $(am__DEPENDENCIES_3)
173AM_V_lt = $(am__v_lt_@AM_V@)
174am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
175am__v_lt_0 = --silent
176am__v_lt_1 =
177AM_V_P = $(am__v_P_@AM_V@)
178am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
179am__v_P_0 = false
180am__v_P_1 = :
181AM_V_GEN = $(am__v_GEN_@AM_V@)
182am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
183am__v_GEN_0 = @echo "  GEN     " $@;
184am__v_GEN_1 =
185AM_V_at = $(am__v_at_@AM_V@)
186am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
187am__v_at_0 = @
188am__v_at_1 =
189DEFAULT_INCLUDES =
190depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
191am__depfiles_maybe = depfiles
192am__mv = mv -f
193CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
194        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
195LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
196        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
197        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
198        $(AM_CXXFLAGS) $(CXXFLAGS)
199AM_V_CXX = $(am__v_CXX_@AM_V@)
200am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
201am__v_CXX_0 = @echo "  CXX     " $@;
202am__v_CXX_1 =
203CXXLD = $(CXX)
204CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
205        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
206        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
207AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
208am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
209am__v_CXXLD_0 = @echo "  CXXLD   " $@;
210am__v_CXXLD_1 =
211COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
212        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
213LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
214        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
215        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
216        $(AM_CFLAGS) $(CFLAGS)
217AM_V_CC = $(am__v_CC_@AM_V@)
218am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
219am__v_CC_0 = @echo "  CC      " $@;
220am__v_CC_1 =
221CCLD = $(CC)
222LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
223        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
224        $(AM_LDFLAGS) $(LDFLAGS) -o $@
225AM_V_CCLD = $(am__v_CCLD_@AM_V@)
226am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
227am__v_CCLD_0 = @echo "  CCLD    " $@;
228am__v_CCLD_1 =
229SOURCES = $(purge_SOURCES)
230DIST_SOURCES = $(purge_SOURCES)
231am__can_run_installinfo = \
232  case $$AM_UPDATE_INFO_DIR in \
233    n|no|NO) false;; \
234    *) (install-info --version) >/dev/null 2>&1;; \
235  esac
236am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
237# Read a list of newline-separated strings from the standard input,
238# and print each of them once, without duplicates.  Input order is
239# *not* preserved.
240am__uniquify_input = $(AWK) '\
241  BEGIN { nonempty = 0; } \
242  { items[$$0] = 1; nonempty = 1; } \
243  END { if (nonempty) { for (i in items) print i; }; } \
244'
245# Make sure the list of sources is unique.  This is necessary because,
246# e.g., the same source file might be shared among _SOURCES variables
247# for different programs/libraries.
248am__define_uniq_tagged_files = \
249  list='$(am__tagged_files)'; \
250  unique=`for i in $$list; do \
251    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
252  done | $(am__uniquify_input)`
253ETAGS = etags
254CTAGS = ctags
255am__tty_colors_dummy = \
256  mgn= red= grn= lgn= blu= brg= std=; \
257  am__color_tests=no
258am__tty_colors = { \
259  $(am__tty_colors_dummy); \
260  if test "X$(AM_COLOR_TESTS)" = Xno; then \
261    am__color_tests=no; \
262  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
263    am__color_tests=yes; \
264  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
265    am__color_tests=yes; \
266  fi; \
267  if test $$am__color_tests = yes; then \
268    red='[0;31m'; \
269    grn='[0;32m'; \
270    lgn='[1;32m'; \
271    blu='[1;34m'; \
272    mgn='[0;35m'; \
273    brg='[1m'; \
274    std='[m'; \
275  fi; \
276}
277am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
278am__vpath_adj = case $$p in \
279    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
280    *) f=$$p;; \
281  esac;
282am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
283am__install_max = 40
284am__nobase_strip_setup = \
285  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
286am__nobase_strip = \
287  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
288am__nobase_list = $(am__nobase_strip_setup); \
289  for p in $$list; do echo "$$p $$p"; done | \
290  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
291  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
292    if (++n[$$2] == $(am__install_max)) \
293      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
294    END { for (dir in files) print dir, files[dir] }'
295am__base_list = \
296  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
297  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
298am__uninstall_files_from_dir = { \
299  test -z "$$files" \
300    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
301    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
302         $(am__cd) "$$dir" && rm -f $$files; }; \
303  }
304am__recheck_rx = ^[     ]*:recheck:[    ]*
305am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
306am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
307# A command that, given a newline-separated list of test names on the
308# standard input, print the name of the tests that are to be re-run
309# upon "make recheck".
310am__list_recheck_tests = $(AWK) '{ \
311  recheck = 1; \
312  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
313    { \
314      if (rc < 0) \
315        { \
316          if ((getline line2 < ($$0 ".log")) < 0) \
317            recheck = 0; \
318          break; \
319        } \
320      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
321        { \
322          recheck = 0; \
323          break; \
324        } \
325      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
326        { \
327          break; \
328        } \
329    }; \
330  if (recheck) \
331    print $$0; \
332  close ($$0 ".trs"); \
333  close ($$0 ".log"); \
334}'
335# A command that, given a newline-separated list of test names on the
336# standard input, create the global log from their .trs and .log files.
337am__create_global_log = $(AWK) ' \
338function fatal(msg) \
339{ \
340  print "fatal: making $@: " msg | "cat >&2"; \
341  exit 1; \
342} \
343function rst_section(header) \
344{ \
345  print header; \
346  len = length(header); \
347  for (i = 1; i <= len; i = i + 1) \
348    printf "="; \
349  printf "\n\n"; \
350} \
351{ \
352  copy_in_global_log = 1; \
353  global_test_result = "RUN"; \
354  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
355    { \
356      if (rc < 0) \
357         fatal("failed to read from " $$0 ".trs"); \
358      if (line ~ /$(am__global_test_result_rx)/) \
359        { \
360          sub("$(am__global_test_result_rx)", "", line); \
361          sub("[        ]*$$", "", line); \
362          global_test_result = line; \
363        } \
364      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
365        copy_in_global_log = 0; \
366    }; \
367  if (copy_in_global_log) \
368    { \
369      rst_section(global_test_result ": " $$0); \
370      while ((rc = (getline line < ($$0 ".log"))) != 0) \
371      { \
372        if (rc < 0) \
373          fatal("failed to read from " $$0 ".log"); \
374        print line; \
375      }; \
376      printf "\n"; \
377    }; \
378  close ($$0 ".trs"); \
379  close ($$0 ".log"); \
380}'
381# Restructured Text title.
382am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
383# Solaris 10 'make', and several other traditional 'make' implementations,
384# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
385# by disabling -e (using the XSI extension "set +e") if it's set.
386am__sh_e_setup = case $$- in *e*) set +e;; esac
387# Default flags passed to test drivers.
388am__common_driver_flags = \
389  --color-tests "$$am__color_tests" \
390  --enable-hard-errors "$$am__enable_hard_errors" \
391  --expect-failure "$$am__expect_failure"
392# To be inserted before the command running the test.  Creates the
393# directory for the log if needed.  Stores in $dir the directory
394# containing $f, in $tst the test, in $log the log.  Executes the
395# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
396# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
397# will run the test scripts (or their associated LOG_COMPILER, if
398# thy have one).
399am__check_pre = \
400$(am__sh_e_setup);                                      \
401$(am__vpath_adj_setup) $(am__vpath_adj)                 \
402$(am__tty_colors);                                      \
403srcdir=$(srcdir); export srcdir;                        \
404case "$@" in                                            \
405  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
406    *) am__odir=.;;                                     \
407esac;                                                   \
408test "x$$am__odir" = x"." || test -d "$$am__odir"       \
409  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
410if test -f "./$$f"; then dir=./;                        \
411elif test -f "$$f"; then dir=;                          \
412else dir="$(srcdir)/"; fi;                              \
413tst=$$dir$$f; log='$@';                                 \
414if test -n '$(DISABLE_HARD_ERRORS)'; then               \
415  am__enable_hard_errors=no;                            \
416else                                                    \
417  am__enable_hard_errors=yes;                           \
418fi;                                                     \
419case " $(XFAIL_TESTS) " in                              \
420  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
421    am__expect_failure=yes;;                            \
422  *)                                                    \
423    am__expect_failure=no;;                             \
424esac;                                                   \
425$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
426# A shell command to get the names of the tests scripts with any registered
427# extension removed (i.e., equivalently, the names of the test logs, with
428# the '.log' extension removed).  The result is saved in the shell variable
429# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
430# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
431# since that might cause problem with VPATH rewrites for suffix-less tests.
432# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
433am__set_TESTS_bases = \
434  bases='$(TEST_LOGS)'; \
435  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
436  bases=`echo $$bases`
437RECHECK_LOGS = $(TEST_LOGS)
438AM_RECURSIVE_TARGETS = check recheck
439TEST_SUITE_LOG = test-suite.log
440TEST_EXTENSIONS = @EXEEXT@ .test
441am__test_logs1 = $(TESTS:=.log)
442am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
443TEST_LOGS = $(am__test_logs2:.test.log=.log)
444TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
445TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
446        $(TEST_LOG_FLAGS)
447am__set_b = \
448  case '$@' in \
449    */*) \
450      case '$*' in \
451        */*) b='$*';; \
452          *) b=`echo '$@' | sed 's/\.log$$//'`; \
453       esac;; \
454    *) \
455      b='$*';; \
456  esac
457am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
458        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
459        README
460DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
461ACLOCAL = @ACLOCAL@
462ADAPTATION_LIBS = @ADAPTATION_LIBS@
463ALLOCA = @ALLOCA@
464AMTAR = @AMTAR@
465AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
466AR = @AR@
467ARGZ_H = @ARGZ_H@
468AR_R = @AR_R@
469AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
470AUTH_MODULES = @AUTH_MODULES@
471AUTOCONF = @AUTOCONF@
472AUTOHEADER = @AUTOHEADER@
473AUTOMAKE = @AUTOMAKE@
474AWK = @AWK@
475BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
476BUILDCXX = @BUILDCXX@
477BUILDCXXFLAGS = @BUILDCXXFLAGS@
478BZR = @BZR@
479CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
480CC = @CC@
481CCDEPMODE = @CCDEPMODE@
482CFLAGS = @CFLAGS@
483CGIEXT = @CGIEXT@
484CHMOD = @CHMOD@
485CPP = @CPP@
486CPPFLAGS = @CPPFLAGS@
487CPPUNITCONFIG = @CPPUNITCONFIG@
488CRYPTLIB = @CRYPTLIB@
489CXX = @CXX@
490CXXCPP = @CXXCPP@
491CXXDEPMODE = @CXXDEPMODE@
492CXXFLAGS = @CXXFLAGS@
493CYGPATH_W = @CYGPATH_W@
494DEFAULT_HOSTS = @DEFAULT_HOSTS@
495DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
496DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
497DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
498DEFS = @DEFS@
499DEPDIR = @DEPDIR@
500DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
501DISK_LIBS = @DISK_LIBS@
502DISK_LINKOBJS = @DISK_LINKOBJS@
503DISK_MODULES = @DISK_MODULES@
504DISK_OS_LIBS = @DISK_OS_LIBS@
505DISK_PROGRAMS = @DISK_PROGRAMS@
506DLLTOOL = @DLLTOOL@
507DSYMUTIL = @DSYMUTIL@
508DUMPBIN = @DUMPBIN@
509ECAP_LIBS = @ECAP_LIBS@
510ECHO_C = @ECHO_C@
511ECHO_N = @ECHO_N@
512ECHO_T = @ECHO_T@
513EGREP = @EGREP@
514EPOLL_LIBS = @EPOLL_LIBS@
515EUILIB = @EUILIB@
516EXEEXT = @EXEEXT@
517EXPATLIB = @EXPATLIB@
518EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
519EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
520EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
521FALSE = @FALSE@
522FGREP = @FGREP@
523GREP = @GREP@
524HAVE_CXX11 = @HAVE_CXX11@
525ICAP_LIBS = @ICAP_LIBS@
526INCLTDL = @INCLTDL@
527INSTALL = @INSTALL@
528INSTALL_DATA = @INSTALL_DATA@
529INSTALL_PROGRAM = @INSTALL_PROGRAM@
530INSTALL_SCRIPT = @INSTALL_SCRIPT@
531INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
532KRB5INCS = @KRB5INCS@
533KRB5LIBS = @KRB5LIBS@
534LBERLIB = @LBERLIB@
535LD = @LD@
536LDAPLIB = @LDAPLIB@
537LDFLAGS = @LDFLAGS@
538LIBADD_DL = @LIBADD_DL@
539LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
540LIBADD_DLOPEN = @LIBADD_DLOPEN@
541LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
542LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
543LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
544LIBLTDL = @LIBLTDL@
545LIBOBJS = @LIBOBJS@
546LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
547LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
548LIBS = @LIBS@
549LIBSASL = @LIBSASL@
550LIBTOOL = @LIBTOOL@
551LIB_DB = @LIB_DB@
552LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
553LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
554LINUXDOC = @LINUXDOC@
555LIPO = @LIPO@
556LN = @LN@
557LN_S = @LN_S@
558LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
559LTDLDEPS = @LTDLDEPS@
560LTDLINCL = @LTDLINCL@
561LTDLOPEN = @LTDLOPEN@
562LTLIBOBJS = @LTLIBOBJS@
563LT_CONFIG_H = @LT_CONFIG_H@
564LT_DLLOADERS = @LT_DLLOADERS@
565LT_DLPREOPEN = @LT_DLPREOPEN@
566MAINT = @MAINT@
567MAKEINFO = @MAKEINFO@
568MANIFEST_TOOL = @MANIFEST_TOOL@
569MINGW_LIBS = @MINGW_LIBS@
570MKDIR = @MKDIR@
571MKDIR_P = @MKDIR_P@
572MV = @MV@
573NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
574NETTLELIB = @NETTLELIB@
575NM = @NM@
576NMEDIT = @NMEDIT@
577NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
578OBJDUMP = @OBJDUMP@
579OBJEXT = @OBJEXT@
580OTOOL = @OTOOL@
581OTOOL64 = @OTOOL64@
582PACKAGE = @PACKAGE@
583PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
584PACKAGE_NAME = @PACKAGE_NAME@
585PACKAGE_STRING = @PACKAGE_STRING@
586PACKAGE_TARNAME = @PACKAGE_TARNAME@
587PACKAGE_URL = @PACKAGE_URL@
588PACKAGE_VERSION = @PACKAGE_VERSION@
589PATH_SEPARATOR = @PATH_SEPARATOR@
590PERL = @PERL@
591PKG_CONFIG = @PKG_CONFIG@
592PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
593PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
594PO2HTML = @PO2HTML@
595PO2TEXT = @PO2TEXT@
596POD2MAN = @POD2MAN@
597RANLIB = @RANLIB@
598REGEXLIB = @REGEXLIB@
599REPL_LIBS = @REPL_LIBS@
600REPL_OBJS = @REPL_OBJS@
601REPL_POLICIES = @REPL_POLICIES@
602RM = @RM@
603SED = @SED@
604SET_MAKE = @SET_MAKE@
605SH = @SH@
606SHELL = @SHELL@
607SMBCLIENT = @SMBCLIENT@
608SNMPLIB = @SNMPLIB@
609SQUID_CFLAGS = @SQUID_CFLAGS@
610SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
611SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
612SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
613SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
614SSLLIB = @SSLLIB@
615STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
616STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
617STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
618STORE_TESTS = @STORE_TESTS@
619STRIP = @STRIP@
620TR = @TR@
621TRUE = @TRUE@
622URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
623VERSION = @VERSION@
624WBINFO = @WBINFO@
625WIN32_PSAPI = @WIN32_PSAPI@
626XMLLIB = @XMLLIB@
627XTRA_LIBS = @XTRA_LIBS@
628XTRA_OBJS = @XTRA_OBJS@
629abs_builddir = @abs_builddir@
630abs_srcdir = @abs_srcdir@
631abs_top_builddir = @abs_top_builddir@
632abs_top_srcdir = @abs_top_srcdir@
633ac_ct_AR = @ac_ct_AR@
634ac_ct_CC = @ac_ct_CC@
635ac_ct_CXX = @ac_ct_CXX@
636ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
637am__include = @am__include@
638am__leading_dot = @am__leading_dot@
639am__quote = @am__quote@
640am__tar = @am__tar@
641am__untar = @am__untar@
642bindir = @bindir@
643build = @build@
644build_alias = @build_alias@
645build_cpu = @build_cpu@
646build_os = @build_os@
647build_vendor = @build_vendor@
648builddir = @builddir@
649datadir = @datadir@
650datarootdir = @datarootdir@
651docdir = @docdir@
652dvidir = @dvidir@
653exec_prefix = @exec_prefix@
654host = @host@
655host_alias = @host_alias@
656host_cpu = @host_cpu@
657host_os = @host_os@
658host_vendor = @host_vendor@
659htmldir = @htmldir@
660includedir = @includedir@
661infodir = @infodir@
662install_sh = @install_sh@
663krb5_config = @krb5_config@
664libdir = @libdir@
665libexecdir = @libexecdir@
666localedir = @localedir@
667localstatedir = @localstatedir@
668ltdl_LIBOBJS = @ltdl_LIBOBJS@
669ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
670mandir = @mandir@
671mkdir_p = @mkdir_p@
672oldincludedir = @oldincludedir@
673pdfdir = @pdfdir@
674prefix = @prefix@
675program_transform_name = @program_transform_name@
676psdir = @psdir@
677runstatedir = @runstatedir@
678sbindir = @sbindir@
679sharedstatedir = @sharedstatedir@
680srcdir = @srcdir@
681subdirs = @subdirs@
682sys_symbol_underscore = @sys_symbol_underscore@
683sysconfdir = @sysconfdir@
684target_alias = @target_alias@
685top_build_prefix = @top_build_prefix@
686top_builddir = @top_builddir@
687top_srcdir = @top_srcdir@
688AM_CFLAGS = $(SQUID_CFLAGS)
689AM_CXXFLAGS = $(SQUID_CXXFLAGS)
690CLEANFILES =
691AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
692        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
693        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
694        $(am__append_1)
695@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
696@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
697COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
698subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
699purge_SOURCES = \
700        convert.cc \
701        convert.hh \
702        socket.cc \
703        socket.hh \
704        signal.cc \
705        signal.hh \
706        squid-tlv.cc \
707        squid-tlv.hh \
708        copyout.cc \
709        copyout.hh \
710        conffile.cc \
711        conffile.hh \
712        purge.cc
713
714purge_LDADD = \
715        $(COMPAT_LIB) \
716        $(XTRA_LIBS)
717
718EXTRA_DIST = README
719all: all-am
720
721.SUFFIXES:
722.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
723$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
724        @for dep in $?; do \
725          case '$(am__configure_deps)' in \
726            *$$dep*) \
727              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
728                && { if test -f $@; then exit 0; else break; fi; }; \
729              exit 1;; \
730          esac; \
731        done; \
732        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tools/purge/Makefile'; \
733        $(am__cd) $(top_srcdir) && \
734          $(AUTOMAKE) --foreign tools/purge/Makefile
735Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
736        @case '$?' in \
737          *config.status*) \
738            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
739          *) \
740            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
741            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
742        esac;
743$(top_srcdir)/src/Common.am $(am__empty):
744
745$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
746        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
747
748$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
749        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
750$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
751        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
752$(am__aclocal_m4_deps):
753install-binPROGRAMS: $(bin_PROGRAMS)
754        @$(NORMAL_INSTALL)
755        @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
756        if test -n "$$list"; then \
757          echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
758          $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
759        fi; \
760        for p in $$list; do echo "$$p $$p"; done | \
761        sed 's/$(EXEEXT)$$//' | \
762        while read p p1; do if test -f $$p \
763         || test -f $$p1 \
764          ; then echo "$$p"; echo "$$p"; else :; fi; \
765        done | \
766        sed -e 'p;s,.*/,,;n;h' \
767            -e 's|.*|.|' \
768            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
769        sed 'N;N;N;s,\n, ,g' | \
770        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
771          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
772            if ($$2 == $$4) files[d] = files[d] " " $$1; \
773            else { print "f", $$3 "/" $$4, $$1; } } \
774          END { for (d in files) print "f", d, files[d] }' | \
775        while read type dir files; do \
776            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
777            test -z "$$files" || { \
778            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
779            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
780            } \
781        ; done
782
783uninstall-binPROGRAMS:
784        @$(NORMAL_UNINSTALL)
785        @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
786        files=`for p in $$list; do echo "$$p"; done | \
787          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
788              -e 's/$$/$(EXEEXT)/' \
789        `; \
790        test -n "$$list" || exit 0; \
791        echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
792        cd "$(DESTDIR)$(bindir)" && rm -f $$files
793
794clean-binPROGRAMS:
795        @list='$(bin_PROGRAMS)'; test -n "$$list" || exit 0; \
796        echo " rm -f" $$list; \
797        rm -f $$list || exit $$?; \
798        test -n "$(EXEEXT)" || exit 0; \
799        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
800        echo " rm -f" $$list; \
801        rm -f $$list
802
803clean-checkPROGRAMS:
804        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
805        echo " rm -f" $$list; \
806        rm -f $$list || exit $$?; \
807        test -n "$(EXEEXT)" || exit 0; \
808        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
809        echo " rm -f" $$list; \
810        rm -f $$list
811
812purge$(EXEEXT): $(purge_OBJECTS) $(purge_DEPENDENCIES) $(EXTRA_purge_DEPENDENCIES)
813        @rm -f purge$(EXEEXT)
814        $(AM_V_CXXLD)$(CXXLINK) $(purge_OBJECTS) $(purge_LDADD) $(LIBS)
815
816mostlyclean-compile:
817        -rm -f *.$(OBJEXT)
818
819distclean-compile:
820        -rm -f *.tab.c
821
822@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/conffile.Po@am__quote@
823@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/convert.Po@am__quote@
824@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/copyout.Po@am__quote@
825@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/purge.Po@am__quote@
826@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/signal.Po@am__quote@
827@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/socket.Po@am__quote@
828@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/squid-tlv.Po@am__quote@
829
830.cc.o:
831@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
832@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
833@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
834@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
835@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
836@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
837
838.cc.obj:
839@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
840@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
841@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
842@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
843@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
844@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
845
846.cc.lo:
847@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
848@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
849@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
850@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
851@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
852@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
853
854mostlyclean-libtool:
855        -rm -f *.lo
856
857clean-libtool:
858        -rm -rf .libs _libs
859
860ID: $(am__tagged_files)
861        $(am__define_uniq_tagged_files); mkid -fID $$unique
862tags: tags-am
863TAGS: tags
864
865tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
866        set x; \
867        here=`pwd`; \
868        $(am__define_uniq_tagged_files); \
869        shift; \
870        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
871          test -n "$$unique" || unique=$$empty_fix; \
872          if test $$# -gt 0; then \
873            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
874              "$$@" $$unique; \
875          else \
876            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
877              $$unique; \
878          fi; \
879        fi
880ctags: ctags-am
881
882CTAGS: ctags
883ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
884        $(am__define_uniq_tagged_files); \
885        test -z "$(CTAGS_ARGS)$$unique" \
886          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
887             $$unique
888
889GTAGS:
890        here=`$(am__cd) $(top_builddir) && pwd` \
891          && $(am__cd) $(top_srcdir) \
892          && gtags -i $(GTAGS_ARGS) "$$here"
893cscopelist: cscopelist-am
894
895cscopelist-am: $(am__tagged_files)
896        list='$(am__tagged_files)'; \
897        case "$(srcdir)" in \
898          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
899          *) sdir=$(subdir)/$(srcdir) ;; \
900        esac; \
901        for i in $$list; do \
902          if test -f "$$i"; then \
903            echo "$(subdir)/$$i"; \
904          else \
905            echo "$$sdir/$$i"; \
906          fi; \
907        done >> $(top_builddir)/cscope.files
908
909distclean-tags:
910        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
911
912# Recover from deleted '.trs' file; this should ensure that
913# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
914# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
915# to avoid problems with "make -n".
916.log.trs:
917        rm -f $< $@
918        $(MAKE) $(AM_MAKEFLAGS) $<
919
920# Leading 'am--fnord' is there to ensure the list of targets does not
921# expand to empty, as could happen e.g. with make check TESTS=''.
922am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
923am--force-recheck:
924        @:
925
926$(TEST_SUITE_LOG): $(TEST_LOGS)
927        @$(am__set_TESTS_bases); \
928        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
929        redo_bases=`for i in $$bases; do \
930                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
931                    done`; \
932        if test -n "$$redo_bases"; then \
933          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
934          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
935          if $(am__make_dryrun); then :; else \
936            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
937          fi; \
938        fi; \
939        if test -n "$$am__remaking_logs"; then \
940          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
941               "recursion detected" >&2; \
942        elif test -n "$$redo_logs"; then \
943          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
944        fi; \
945        if $(am__make_dryrun); then :; else \
946          st=0;  \
947          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
948          for i in $$redo_bases; do \
949            test -f $$i.trs && test -r $$i.trs \
950              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
951            test -f $$i.log && test -r $$i.log \
952              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
953          done; \
954          test $$st -eq 0 || exit 1; \
955        fi
956        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
957        ws='[   ]'; \
958        results=`for b in $$bases; do echo $$b.trs; done`; \
959        test -n "$$results" || results=/dev/null; \
960        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
961        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
962        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
963        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
964        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
965        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
966        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
967        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
968          success=true; \
969        else \
970          success=false; \
971        fi; \
972        br='==================='; br=$$br$$br$$br$$br; \
973        result_count () \
974        { \
975            if test x"$$1" = x"--maybe-color"; then \
976              maybe_colorize=yes; \
977            elif test x"$$1" = x"--no-color"; then \
978              maybe_colorize=no; \
979            else \
980              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
981            fi; \
982            shift; \
983            desc=$$1 count=$$2; \
984            if test $$maybe_colorize = yes && test $$count -gt 0; then \
985              color_start=$$3 color_end=$$std; \
986            else \
987              color_start= color_end=; \
988            fi; \
989            echo "$${color_start}# $$desc $$count$${color_end}"; \
990        }; \
991        create_testsuite_report () \
992        { \
993          result_count $$1 "TOTAL:" $$all   "$$brg"; \
994          result_count $$1 "PASS: " $$pass  "$$grn"; \
995          result_count $$1 "SKIP: " $$skip  "$$blu"; \
996          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
997          result_count $$1 "FAIL: " $$fail  "$$red"; \
998          result_count $$1 "XPASS:" $$xpass "$$red"; \
999          result_count $$1 "ERROR:" $$error "$$mgn"; \
1000        }; \
1001        {                                                               \
1002          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1003            $(am__rst_title);                                           \
1004          create_testsuite_report --no-color;                           \
1005          echo;                                                         \
1006          echo ".. contents:: :depth: 2";                               \
1007          echo;                                                         \
1008          for b in $$bases; do echo $$b; done                           \
1009            | $(am__create_global_log);                                 \
1010        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1011        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1012        if $$success; then                                              \
1013          col="$$grn";                                                  \
1014         else                                                           \
1015          col="$$red";                                                  \
1016          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1017        fi;                                                             \
1018        echo "$${col}$$br$${std}";                                      \
1019        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1020        echo "$${col}$$br$${std}";                                      \
1021        create_testsuite_report --maybe-color;                          \
1022        echo "$$col$$br$$std";                                          \
1023        if $$success; then :; else                                      \
1024          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1025          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1026            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1027          fi;                                                           \
1028          echo "$$col$$br$$std";                                        \
1029        fi;                                                             \
1030        $$success || exit 1
1031
1032check-TESTS:
1033        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1034        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1035        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1036        @set +e; $(am__set_TESTS_bases); \
1037        log_list=`for i in $$bases; do echo $$i.log; done`; \
1038        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1039        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1040        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1041        exit $$?;
1042recheck: all $(check_PROGRAMS)
1043        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1044        @set +e; $(am__set_TESTS_bases); \
1045        bases=`for i in $$bases; do echo $$i; done \
1046                 | $(am__list_recheck_tests)` || exit 1; \
1047        log_list=`for i in $$bases; do echo $$i.log; done`; \
1048        log_list=`echo $$log_list`; \
1049        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1050                am__force_recheck=am--force-recheck \
1051                TEST_LOGS="$$log_list"; \
1052        exit $$?
1053.test.log:
1054        @p='$<'; \
1055        $(am__set_b); \
1056        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1057        --log-file $$b.log --trs-file $$b.trs \
1058        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1059        "$$tst" $(AM_TESTS_FD_REDIRECT)
1060@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1061@am__EXEEXT_TRUE@       @p='$<'; \
1062@am__EXEEXT_TRUE@       $(am__set_b); \
1063@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1064@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1065@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1066@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1067
1068distdir: $(DISTFILES)
1069        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1070        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1071        list='$(DISTFILES)'; \
1072          dist_files=`for file in $$list; do echo $$file; done | \
1073          sed -e "s|^$$srcdirstrip/||;t" \
1074              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1075        case $$dist_files in \
1076          */*) $(MKDIR_P) `echo "$$dist_files" | \
1077                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1078                           sort -u` ;; \
1079        esac; \
1080        for file in $$dist_files; do \
1081          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1082          if test -d $$d/$$file; then \
1083            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1084            if test -d "$(distdir)/$$file"; then \
1085              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1086            fi; \
1087            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1088              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1089              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1090            fi; \
1091            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1092          else \
1093            test -f "$(distdir)/$$file" \
1094            || cp -p $$d/$$file "$(distdir)/$$file" \
1095            || exit 1; \
1096          fi; \
1097        done
1098check-am: all-am
1099        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1100        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1101check: check-am
1102all-am: Makefile $(PROGRAMS)
1103installdirs:
1104        for dir in "$(DESTDIR)$(bindir)"; do \
1105          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1106        done
1107install: install-am
1108install-exec: install-exec-am
1109install-data: install-data-am
1110uninstall: uninstall-am
1111
1112install-am: all-am
1113        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1114
1115installcheck: installcheck-am
1116install-strip:
1117        if test -z '$(STRIP)'; then \
1118          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1119            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1120              install; \
1121        else \
1122          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1123            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1124            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1125        fi
1126mostlyclean-generic:
1127        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1128        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1129        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1130
1131clean-generic:
1132        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1133
1134distclean-generic:
1135        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1136        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1137
1138maintainer-clean-generic:
1139        @echo "This command is intended for maintainers to use"
1140        @echo "it deletes files that may require special tools to rebuild."
1141clean: clean-am
1142
1143clean-am: clean-binPROGRAMS clean-checkPROGRAMS clean-generic \
1144        clean-libtool mostlyclean-am
1145
1146distclean: distclean-am
1147        -rm -rf ./$(DEPDIR)
1148        -rm -f Makefile
1149distclean-am: clean-am distclean-compile distclean-generic \
1150        distclean-tags
1151
1152dvi: dvi-am
1153
1154dvi-am:
1155
1156html: html-am
1157
1158html-am:
1159
1160info: info-am
1161
1162info-am:
1163
1164install-data-am:
1165
1166install-dvi: install-dvi-am
1167
1168install-dvi-am:
1169
1170install-exec-am: install-binPROGRAMS
1171
1172install-html: install-html-am
1173
1174install-html-am:
1175
1176install-info: install-info-am
1177
1178install-info-am:
1179
1180install-man:
1181
1182install-pdf: install-pdf-am
1183
1184install-pdf-am:
1185
1186install-ps: install-ps-am
1187
1188install-ps-am:
1189
1190installcheck-am:
1191
1192maintainer-clean: maintainer-clean-am
1193        -rm -rf ./$(DEPDIR)
1194        -rm -f Makefile
1195maintainer-clean-am: distclean-am maintainer-clean-generic
1196
1197mostlyclean: mostlyclean-am
1198
1199mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1200        mostlyclean-libtool
1201
1202pdf: pdf-am
1203
1204pdf-am:
1205
1206ps: ps-am
1207
1208ps-am:
1209
1210uninstall-am: uninstall-binPROGRAMS
1211
1212.MAKE: check-am install-am install-strip
1213
1214.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1215        clean-binPROGRAMS clean-checkPROGRAMS clean-generic \
1216        clean-libtool cscopelist-am ctags ctags-am distclean \
1217        distclean-compile distclean-generic distclean-libtool \
1218        distclean-tags distdir dvi dvi-am html html-am info info-am \
1219        install install-am install-binPROGRAMS install-data \
1220        install-data-am install-dvi install-dvi-am install-exec \
1221        install-exec-am install-html install-html-am install-info \
1222        install-info-am install-man install-pdf install-pdf-am \
1223        install-ps install-ps-am install-strip installcheck \
1224        installcheck-am installdirs maintainer-clean \
1225        maintainer-clean-generic mostlyclean mostlyclean-compile \
1226        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1227        recheck tags tags-am uninstall uninstall-am \
1228        uninstall-binPROGRAMS
1229
1230.PRECIOUS: Makefile
1231
1232
1233$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1234
1235# Tell versions [3.59,3.63) of GNU make to not export all variables.
1236# Otherwise a system limit (for SysV at least) may be exceeded.
1237.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.